Send email with quote-document to the customer
1 min
POST
https://app.amberflo.io/payments/docusign/quote-to-document
Body Parameters
- bodycom.amberflo.integration.docusign.DocumentSigningRequestKey.in
- accountIdstringrequiredDescription
- customerIdstringrequiredDescription
- quoteIdstringrequiredDescription
- pdfFileBytesstringrequiredDescription
- customerEmailstringrequiredDescription
- customerNamestringrequiredDescription
- senderEmailstringrequiredDescription
- senderNamestringrequiredDescription
- integrationSettingspayment.payment.AccountIntegrationSettings.inDescription
- accountIdstring
- idstring
- createdTimeInSecondsinteger<int64>
- updatedTimeInSecondsinteger<int64>
- typestringrequiredDescription
- namestringrequiredDescription
- descriptionstringDescription
- settingsmap<string, string>requiredDescription
- customMessagestringDescription
Responses
200
- payment.pricing.customer.quote.DocumentContractDetails.out
- pdfFileBytesstringDescription
- pdfContractSentbooleanDescription
- docusignEnvelopeIdstringDescription
- customerEmailstringDescription
- customerNamestringDescription
- senderEmailstringDescription
- senderNamestringDescription
- customerStatuspayment.pricing.customer.quote.SigningStatus.out[]Description
- statuspayment.pricing.customer.quote.Status.outDescription
- timeInSecondsinteger<int64>Description
- accountStatuspayment.pricing.customer.quote.SigningStatus.out[]Description
- statuspayment.pricing.customer.quote.Status.outDescription
- timeInSecondsinteger<int64>Description
curl
curl --request POST \
--url https://app.amberflo.io/payments/docusign/quote-to-document \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"accountId": "",
"customerId": "",
"quoteId": "",
"pdfFileBytes": "",
"customerEmail": "",
"customerName": "",
"senderEmail": "",
"senderName": "",
"integrationSettings": {
"type": "",
"name": "",
"settings": ""
}
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"accountId": "",
"customerId": "",
"quoteId": "",
"pdfFileBytes": "",
"customerEmail": "",
"customerName": "",
"senderEmail": "",
"senderName": "",
"integrationSettings": {
"type": "",
"name": "",
"settings": ""
}
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/payments/docusign/quote-to-document", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/payments/docusign/quote-to-document")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"accountId": "",
"customerId": "",
"quoteId": "",
"pdfFileBytes": "",
"customerEmail": "",
"customerName": "",
"senderEmail": "",
"senderName": "",
"integrationSettings": {
"type": "",
"name": "",
"settings": ""
}
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/payments/docusign/quote-to-document"
payload = json.dumps({
"accountId": "",
"customerId": "",
"quoteId": "",
"pdfFileBytes": "",
"customerEmail": "",
"customerName": "",
"senderEmail": "",
"senderName": "",
"integrationSettings": {
"type": "",
"name": "",
"settings": ""
}
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful request
{
"pdfFileBytes": "",
"pdfContractSent": false,
"docusignEnvelopeId": "",
"customerEmail": "",
"customerName": "",
"senderEmail": "",
"senderName": "",
"customerStatus": [
{
"status": "",
"timeInSeconds": ""
}
],
"accountStatus": [
{
"status": "",
"timeInSeconds": ""
}
]
}